Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: apt

Interfaces

### Description:

Advanced package tool.

### Interfaces:

apt_domtrans( domain )

##### Summary

Execute apt programs in the apt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

apt_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete apt package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

apt_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use apt file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

apt_exec( domain )

##### Summary

Execute the apt in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_manage_cache( domain )

##### Summary

Read apt package cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_manage_db( domain )

##### Summary

Create, read, write, and delete apt package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_read_cache( domain )

##### Summary

Read apt package cache content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_read_db( domain )

##### Summary

Read apt package database content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_read_pipes( domain )

##### Summary

Read apt unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_run( domain , role )

##### Summary

Execute apt programs in the apt domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

apt_rw_pipes( domain )

##### Summary

Read and write apt unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_use_fds( domain )

##### Summary

Use apt file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

apt_use_ptys( domain )

##### Summary

Read and write apt ptys.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return